package jp.mosp.payroll.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class CtRetireDetailDto extends BaseDto {
	
	private static final long	serialVersionUID	= -4544512011191536993L;
	
	// フィールド
	private String				cityCode;										//市町村コード
	private Date				detailMonth;									//退職明細年月
	private String				cityChanges;									//異動有無
	private int					retireCount;									//退職人員
	private long				cityPayAmount;									//支払金額
	private int					cityTax;										//市町村税
	private int					prefectureTax;									//道府県税
																				
	
	/**
	 * コンストラクタ
	 */
	public CtRetireDetailDto() {
		super();
	}
	
	// アクセサメソッド
	public String getCityCode() {
		return cityCode;
	} // 市町村コード
	
	public Date getDetailMonth() {
		return getDateField(detailMonth);
	} // 退職明細年月
	
	public String getCityChanges() {
		return cityChanges;
	} // 異動有無
	
	public int getRetireCount() {
		return retireCount;
	} // 退職人員
	
	public long getCityPayAmount() {
		return cityPayAmount;
	} // 支払金額
	
	public int getCityTax() {
		return cityTax;
	} // 市町村税
	
	public int getPrefectureTax() {
		return prefectureTax;
	} // 道府県税
	
	public void setCityCode(String cityCode) {
		this.cityCode = cityCode;
	} // 市町村コード
	
	public void setDetailMonth(Date detailMonth) {
		this.detailMonth = getDateField(detailMonth);
	} // 退職明細年月
	
	public void setCityChanges(String cityChanges) {
		this.cityChanges = cityChanges;
	} // 異動有無
	
	public void setRetireCount(int retireCount) {
		this.retireCount = retireCount;
	} // 退職人員
	
	public void setCityPayAmount(long cityPayAmount) {
		this.cityPayAmount = cityPayAmount;
	} // 支払金額
	
	public void setCityTax(int cityTax) {
		this.cityTax = cityTax;
	} // 市町村税
	
	public void setPrefectureTax(int prefectureTax) {
		this.prefectureTax = prefectureTax;
	} // 道府県税	
}
